Bug 70207 - Menu options to be grouped on the right hand side
Menu options to be grouped on the right hand side
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-session (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2002-07-30 22:15 EDT by John J. Germs
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-30 22:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John J. Germs 2002-07-30 22:15:30 EDT
Description of Problem:
When selecting <main menu> - <Log Out> a:
"Really log out?" menu appears with the options:

[]Save current setup


(*)Log Out
( )Shutdown
( )Reboot
|Help| |Cancel| | OK | 

These options are justified (aligned) on the left hand side, but the OK button
is on the right. Would it not make more sense if it was justified (aligned) on
the right side?  

Something Like this:

..Save current setup[]


............Log Out(*)
...........Shutdown( )
.............Reboot( )
|Help| |Cancel| | OK | 

My reasoning is this:
Since you are commonly making selections with the mouse cursor (mouse pointer)
and then selecting "OK", it would make the most sense to group the selections.
Currently people will be more apt to select the Help button by mistake.

Don't get me wrong... The Help system looks really nice and all, but it will
normally only be selected when people are 'Looking' for help..  :)

I did not mention moving the OK button to the Left hand side because I can see
that keeping it on the right hand side has become a standard ... and standards
are good.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Havoc Pennington 2002-07-31 10:14:20 EDT
Check buttons have the check on the left, which is a more important issue in
this case IMO. (If nothing else GTK won't let you put the check on the right,
unless you are in a Hebrew or Arabic locale; but even if it did, it would break
the usual convention.)

Anyway, we would not make this change in a Red Hat patch, this would need to be
done upstream at gnome.org.

Note You need to log in before you can comment on or make changes to this bug.